{block name="trustami_product_stars"}
	{if isset($addToLink)}
		{$addToLink = {$addToLink}}
		{$addIdStr = " id=\"jump-to-votes-tab\""}
	{else}
		{$addToLink = ""}
		{$addIdStr = ""}
	{/if}
	{if isset($value)}
		{if $value->score->ratingsTotal_withoutOwnRatings gt 0}
			{$taDiff = $value->score->stars - $value->score->starsDiscrete|floor}
			{if $value->score->stars}
				{$stars="`$value->score->stars` / 5"}
			{else}
				{$stars = "keine"}
			{/if}
			
			<a class="trustami-prod-rtgs rating" href="{$article->cURLFull}{$addToLink}" title="Trustami Produktbewertungen: {$stars}"{$addIdStr}>
				<img class="trustami-mini-prod-logo" src="https://cdn.trustami.com/widgetapi/productWidget/img/trustami-icon-1.png" style="width:23px;display:inline;">
				{for $ind=1 to $value->score->starsDiscrete|floor}
					{$cls = 'fas fa-star'}
					<i class="{$cls}"></i>
				{/for}
				{if $taDiff >= 0.25}
					{$cls = 'fas fa-star-half-alt'}
					<i class="{$cls}"></i>
					{assign var='limit' value=$value->score->starsDiscrete|ceil}
				{else}
					{assign var='limit' value=$value->score->starsDiscrete|floor}
				{/if}
				{if $limit != 5}
					{$cls = 'far fa-star'}
					{for $ind=1 to 5 - $limit}
					<i class="{$cls}"></i>
					{/for}
				{/if}
				<span class="trustami-mini-number-1">({$value->score->ratingsTotal_abbrev})</span>
			</a>
		{/if}
	{else}
		{$has_ratings = false}
		{$num_ratings = false}
		{if isset($article) and isset($article->fDurchschnittsBewertung) and $article->fDurchschnittsBewertung gt 0}
				{$stars="{$article->fDurchschnittsBewertung} / 5"}
				{if isset($article->Bewertungen) and isset($article->Bewertungen->oBewertungGesamt)}
					{$num_ratings=$article->Bewertungen->oBewertungGesamt->nAnzahl}
				{/if}
				{$has_ratings = true}
			{else}
				{$stars = "keine"}
				{$num_ratings=0}
		{/if}
		{if $prodZeroStars eq "1" and $has_ratings eq false}
			{$taDiff = $article->fDurchschnittsBewertung - $article->fDurchschnittsBewertung|floor}
			<a class="trustami-prod-rtgs rating" href="{$article->cURLFull}{$addToLink}" title="Trustami Produktbewertungen: {$stars}"{$addIdStr}>
				<img class="trustami-mini-prod-logo" src="https://cdn.trustami.com/widgetapi/productWidget/img/trustami-icon-1.png" style="width:23px;display:inline;">
				{for $ind=1 to $article->fDurchschnittsBewertung|floor}
					{$cls = 'fas fa-star'}
					<i class="{$cls}"></i>
				{/for}
				{if $taDiff >= 0.25}
					{$cls = 'fas fa-star-half-alt'}
					<i class="{$cls}"></i>
					{assign var='limit' value=$article->fDurchschnittsBewertung|ceil}
				{else}
					{assign var='limit' value=$article->fDurchschnittsBewertung|floor}
				{/if}
				{if $limit != 5}
					{$cls = 'far fa-star'}
					{for $ind=1 to 5 - $limit}
					<i class="{$cls}"></i>
					{/for}
				{/if}
				{if $num_ratings neq false}
					<span class="trustami-mini-number-1">({$num_ratings})</span>
				{/if}
			</a>
		{/if}
	{/if}
{/block}